package com.bonus.sgzb.app.service.impl;

import com.bonus.sgzb.app.mapper.BmFlowMapper;
import com.bonus.sgzb.app.service.BmFlowService;
import com.bonus.sgzb.base.api.domain.BmFlow;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 12:43
* @Version 1.0
*/

@Service
public class BmFlowServiceImpl implements BmFlowService{

    @Autowired
    private BmFlowMapper bmFlowMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return bmFlowMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(BmFlow record) {
        return bmFlowMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(BmFlow record) {
        return bmFlowMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(BmFlow record) {
        return bmFlowMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(BmFlow record) {
        return bmFlowMapper.insertSelective(record);
    }

    @Override
    public BmFlow selectByPrimaryKey(Integer id) {
        return bmFlowMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(BmFlow record) {
        return bmFlowMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(BmFlow record) {
        return bmFlowMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<BmFlow> list) {
        return bmFlowMapper.updateBatch(list);
    }

    @Override
    public int updateBatchSelective(List<BmFlow> list) {
        return bmFlowMapper.updateBatchSelective(list);
    }

    @Override
    public int batchInsert(List<BmFlow> list) {
        return bmFlowMapper.batchInsert(list);
    }

}
